### Method

# Adw SidebarItem get_index

since: 1.9

#### Declaration [src]

    guint
    adw_sidebar_item_get_index (
      AdwSidebarItem* self
    )

#### Description [src]

Gets index of `self` within its `AdwSidebar`.

If `self` is within a section, but that section is not in a sidebar, index will be within the section only.

If `self` is not within a section, the index will be 0.

The item can later be retrieved by passing this index into `adw_sidebar_get_item()`.

Available since: 1.9

#### Return value

Type: `guint`

The index of `self`.